// Pi0`9j̉Zs

import java.util.Scanner;

//---- ͈͊OO ---//
class RangeError extends RuntimeException {
	RangeError(int n) { super("͈͊O̒lF" + n); }
}

//---- ͈͊OOij---//
class ParameterRangeError extends RangeError {
	ParameterRangeError(int n) { super(n); }
}

//---- ͈͊OOiԋplj---//
class ResultRangeError extends RangeError {
	ResultRangeError(int n) { super(n); }
}

public class RangeErrorTester {

	/*--- n͂Pi0`9jH ---*/
	static boolean isValid(int n) {
		return n >= 0 && n <= 9;
	}

	/*--- Pi0`9j̐ab̘a߂ ---*/
	static int add(int a, int b) throws ParameterRangeError, ResultRangeError {
		if (!isValid(a)) throw new ParameterRangeError(a);
		if (!isValid(b)) throw new ParameterRangeError(b);
		int result = a + b;
		if (!isValid(result)) throw new ResultRangeError(result);
		return result;
	}

	public static void main(String[] args) {
		Scanner stdIn = new Scanner(System.in);

		System.out.print("aF");  int a = stdIn.nextInt();
		System.out.print("bF");  int b = stdIn.nextInt();

		try {
			System.out.println("̘a" + add(a, b) + "łB");
		} catch (ParameterRangeError e) {
			System.out.println("鐔͈͊OłB" + e.getMessage());
		} catch (ResultRangeError e) {
			System.out.println("vZʂ͈͊OłB" + e.toString());
		}
	}
}
